grk::AsocBox Struct Reference

Association box (defined in ITU 15444-2 Annex M 11.1 ) More...

`#include <FileFormat.h>`

Inheritance diagram for grk::AsocBox:

## Public Member Functions

| ~AsocBox () override
void | dealloc () override
Public Member Functions inherited from grk::FileFormatBox
| FileFormatBox ()
Public Member Functions inherited from grk::grk_buf< uint8_t, AllocatorVanilla >
| grk_buf (uint8_t *buffer, size_t off, size_t length, bool ownsData)
| grk_buf (uint8_t *buffer, size_t length)
| grk_buf ()
| grk_buf (uint8_t *buffer, size_t length, bool ownsData)
| grk_buf (const grk_buf &rhs)
virtual | ~grk_buf ()
grk_buf & | operator= (const grk_buf &rhs)
grk_buf & | operator= (const grk_buf *rhs)
bool | canRead (void)
uint8_t | read (void)
bool | write (uint8_t val)
bool | write (uint8_t *b, size_t size)
virtual bool | alloc (size_t length)
void | attach (uint8_t *buffer)
void | acquire (uint8_t *buffer)
void | transfer (uint8_t **buffer)
size_t | remainingLength (void)
void | incrementOffset (ptrdiff_t off)
uint8_t * | currPtr (void) const

## Public Attributes

std::string | label
std::vector< AsocBox * > | children
Public Attributes inherited from grk::FileFormatBox
uint64_t | length
uint32_t | type
Public Attributes inherited from grk::grk_buf< uint8_t, AllocatorVanilla >
uint8_t * | buf
size_t | offset
size_t | len
bool | owns_data

## Detailed Description

Association box (defined in ITU 15444-2 Annex M 11.1 )

## Constructor & Destructor Documentation

## ~AsocBox()

grk::AsocBox::~AsocBox | ( |  | ) |

inline override

References dealloc().

## Member Function Documentation

## dealloc()

void grk::AsocBox::dealloc | ( |  | ) |

inline override virtual

Reimplemented from grk::grk_buf< uint8_t, AllocatorVanilla >.

References children, grk::grk_buf< uint8_t, AllocatorVanilla >::dealloc(), and grk::grk_read().

Referenced by ~AsocBox().

## Member Data Documentation

## children

std::vector<AsocBox*> grk::AsocBox::children

Referenced by dealloc(), grk::FileFormatDecompress::read_asoc(), grk::FileFormatDecompress::readHeader(), and grk::FileFormatDecompress::serializeAsoc().

## label

std::string grk::AsocBox::label

Referenced by grk::FileFormatDecompress::serializeAsoc().

The documentation for this struct was generated from the following file:

- FileFormat.h